package handlers_test

import (
	"testing"

	"github.com/fiskerinc/cloud-services/services/depot/handlers"

	"github.com/fiskerinc/cloud-services/pkg/testhelper"
)

func TestHMIDel(t *testing.T) {
	setupRedisMock()
	setupDBMock()

	id := "FISKER123"
	err := handlers.HMIDel(mockDB, id)
	if err != nil {
		t.Errorf(testhelper.TestErrorTemplate, "TestHMIDel", nil, err)
	}
}
